> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Evento payment.method.updated

> Evento payment.method.updated.

## Evento `payment.method.updated`

Disparado quando um `payment_method` é atualizado via
[`POST /v1/payment-methods/:id`](/api-reference/payment-methods/update).

```json theme={}
{
  "id": "evt_123",
  "object": "event",
  "created_at": "2026-05-16T18:45:00Z",
  "data": {
    "object": {
      "id": "pm_123",
      "object": "payment_method",
      "billing_details": {
        "address": null,
        "email": "cliente@example.com",
        "name": "Cliente Exemplo",
        "phone": null
      },
      "card": {
        "brand": "visa",
        "exp_month": 12,
        "exp_year": 2030,
        "last4": "4242"
      },
      "created_at": "2026-05-16T18:32:00Z",
      "customer": "cus_123",
      "livemode": true,
      "metadata": {
        "label": "principal"
      },
      "type": "credit_card",
      "updated_at": "2026-05-16T18:45:00Z"
    },
    "previous_attributes": {
      "metadata": {}
    }
  },
  "livemode": true,
  "organization": "org_123",
  "request": {
    "id": null
  },
  "type": "payment.method.updated"
}
```
